> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Allows for metadata fields to be set on a CAD Incident.


> It is expected that CAD systems only accepts data for fields they support, but still return a "200 OK" response
even if they don't accept some (or even all) of the fields sent.




## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs post /cad-integration-handler/fields
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /cad-integration-handler/fields:
    post:
      tags:
        - CAD Integration Handler
      summary: |
        Allows for metadata fields to be set on a CAD Incident.
      description: >
        It is expected that CAD systems only accepts data for fields they
        support, but still return a "200 OK" response

        even if they don't accept some (or even all) of the fields sent.
      operationId: cadFields
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IncidentFieldsRequest'
      responses:
        '200':
          description: Indicates the fields have been set as expected.
        default:
          description: >-
            All other response codes will trigger a retry up to the maximum
            number of retries.
components:
  schemas:
    IncidentFieldsRequest:
      type: object
      description: Allows for setting the values of CAD Incident Fields.
      properties:
        callId:
          type: string
          description: Unique Assist Call ID.
        incidentId:
          type: string
          description: Unique CAD Incident ID.
        fields:
          type: array
          description: >
            Field values that Assist is expecting to set in the CAD for the
            given Incident.


            Assist does not send the optional `cadFieldName`. CAD systems must
            map to the most appropriate field.


            INCIDENT_TYPE - The type of Incident, Incident Code, or Chief
            Complaint. Typically a code or short-hand value, like ABVEH
            (Abandoned Vehicle). If the CAD sends this value, and it matches an
            Assist Guide Card, then Assist will pre-populate the Guide Card
            instead of attempting to detect the most relevant Guide Card on its
            own.


            INCIDENT_DESCRIPTION - Description of Incident as entered by Call
            Taker. If no INCIDENT_TYPE is provided, this may be used by Assist
            to select an initial Guide Card.


            INCIDENT_PRIORITY - Priority of the incident as determined by
            Assist.


            CALL_SUMMARY - A summary of the call up until the current point in
            time. Assist will send this periodically during an active Call.


            If Assist sends fields that the CAD does not support or recognize,
            do not set them, and just return a "200 OK" response.
          items:
            $ref: '#/components/schemas/IncidentField'
    IncidentField:
      type: object
      description: Data field exchanged between Assist and a CAD system.
      properties:
        name:
          type: string
          description: Name of the field as expected by Assist.
        value:
          type: string
          description: Value currently set for the field in CAD.
        cad_field_name:
          type: string
          description: Optional. Name of the field in the original CAD system.

````